qq_42465685
SixFeet Under
2021-06-02 11:03
采纳率: 100%
浏览 69
已采纳

不懂就问,maven构建springmvc项目 报错servlet标记为不可用

今天遇到一个报错:servlet 标记为不可用,各位大佬帮帮我这个小白吧

报错信息:

 

web配置:
 

<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://xmlns.jcp.org/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd"
         version="4.0">

    <servlet>
        <servlet-name>mySpring</servlet-name>
        <servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
        <init-param>
            <param-name>contextConfigLocation</param-name>
            <param-value>classpath:springmvc.xml</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
    </servlet>

    <servlet-mapping>
        <servlet-name>mySpring</servlet-name>
        <url-pattern>*.do</url-pattern>
    </servlet-mapping>

</web-app>
  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

4条回答 默认 最新

  • qq_42465685
    SixFeet Under 2021-06-03 11:31
    已采纳

    问题已解决:

     

    期间我尝试清楚Maven重新构建项目、手动在 lib 文件中添加 servlet-api.jar无果。

     

    最终我尝试着把Tomcat从 10.0.6 版本降低到 9.0.46 版本,更改环境变量重新运行,竟然好了!!!
    也许是 Tomcat 版本太高不兼容所导致的。

    点赞 评论
  • technologist_36
    CSDN专家-sinjack 2021-06-02 11:04

    缺少servlet相关jar包

    点赞 评论
  • qq_42465685
    SixFeet Under 2021-06-02 11:08

    点赞 评论
  • QA_Assistant
    有问必答小助手 2021-06-02 18:37

    您好,我是有问必答小助手,您的问题已经有小伙伴解答了,您看下是否解决,可以追评进行沟通哦~

    如果有您比较满意的答案 / 帮您提供解决思路的答案,可以点击【采纳】按钮,给回答的小伙伴一些鼓励哦~~

    ps:问答VIP仅需29元,即可享受5次/月 有问必答服务,了解详情>>>https://vip.csdn.net/askvip?utm_source=1146287632

    点赞 评论

相关推荐